<div class="card mt-7">
    <div>
        <mat-card>
            <mat-card-title>Usługi</mat-card-title>
            <mat-card-subtitle>Zdefiniuj nową usługę publiczną</mat-card-subtitle>
        </mat-card>
        <div>
            <br>
            <mat-form-field>
                <input matInput required placeholder="Nazwa usługi" [(ngModel)]="publicServiceAddForm.name">
            </mat-form-field>
            <br>
            <mat-form-field>
                <mat-label>Opis usługi</mat-label>
                <textarea matInput required
                          [(ngModel)]="publicServiceAddForm.description"
                          cdkTextareaAutosize
                          #autosize="cdkTextareaAutosize"
                          cdkAutosizeMinRows="1" as
                          cdkAutosizeMaxRows="5"></textarea>
            </mat-form-field>

            <br>
            <button [disabled]="!publicServiceAddForm.name && !publicServiceAddForm.description" mat-flat-button color="primary" (click)="addPublicService()">Dodaj</button>
            <br>

        </div>
    </div>
<br>
    <div>
<mat-divider></mat-divider>
<mat-card>
    <mat-card-title>Dodaj siedzibę</mat-card-title>
    <mat-card-subtitle></mat-card-subtitle>
</mat-card>
<div>
    <div>
        <mat-form-field>
            <mat-label>Służby</mat-label>
            <mat-select required [formControl]="services">
                <mat-option *ngFor="let service of servicesListDto" [value]="service.name" (onSelectionChange)="getServiceFromEvent(service, $event)">{{service.name}}</mat-option>
            </mat-select>
        </mat-form-field>
        <br>
        <br>
        <mat-form-field>
            <input matInput required (keydown)="loadAddress()" [(ngModel)]="publicServiceUnitAddForm.name" placeholder="Nazwa jednostki">
        </mat-form-field>
        <br>
        <br>
        <mat-form-field>
            <input matInput required (keydown)="loadAddress()" [(ngModel)]="publicServiceUnitAddForm.email" pattern="{{emailPattern}}" placeholder="Email">
        </mat-form-field>
        <br>
        <br>
        <mat-form-field>
            <input matInput required (keydown)="loadAddress()" [(ngModel)]="publicServiceUnitAddForm.phoneNumber" pattern="{{phonePattern}}" placeholder="Numer telefonu">
        </mat-form-field>
        <br>
        <br>
        <mat-form-field>
                <textarea matInput (keydown)="loadAddress()" disabled [ngModel]="address"
                          placeholder="Adres"></textarea>
        </mat-form-field>
        <br>
        <mat-label>Możesz zmienić adres z mapy klikając na mapie</mat-label>
        <br>
        <br>
        <button mat-flat-button [disabled]="!publicServiceUnitAddForm.name
           && !publicServiceUnitAddForm.email
           && !publicServiceUnitAddForm.phoneNumber
           && !publicServiceUnitAddForm.publicServiceId"
                color="primary" (click)="addPublicServiceUnit()">Dodaj</button>
        <div>
            <agm-map [latitude]="mapCenter.latitude" [longitude]="mapCenter.longitude" [mapTypeId]="mapType"
                     [zoom]="zoom" (mapClick)="addMarker($event.coords.lat, $event.coords.lng)">
                <agm-marker
                        [latitude]="marker.lat"
                        [longitude]="marker.lng"
                        [iconUrl]="marker.iconUrl"
                >
                </agm-marker>
            </agm-map>
        </div>
    </div>
</div>
</div>
</div>
